gRPC C#
gRPC C#
Namespaces
Grpc.Core
Credentials Class
Credentials Constructor
Credentials Properties
Credentials Methods

Credentials Class

Client-side credentials. Used for creation of a secure channel.
Inheritance Hierarchy
System
Object
Grpc.Core
Credentials
Grpc.Core
SslCredentials

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public abstract class Credentials

    Public MustInherit Class Credentials

    public ref class Credentials abstract

    [<AbstractClassAttribute>]
    type Credentials =  class end

The Credentials type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| Credentials | Initializes a new instance of the Credentials class

Top
Properties

| Name | Description
--- | --- | ---
| Insecure | Returns instance of credential that provides no security and will result in creating an unsecure channel with no encryption whatsoever.

Top
Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as the default hash function. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | Returns a string that represents the current object. (Inherited from Object.)

Top
See Also

#### Reference

Grpc.Core Namespace